Issue1473

classification
Title: modjy servlet doesn't import site-packages by default
Type: behaviour Severity: normal
Components: Library Versions: 2.5.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: amak Nosy List: amak, colinhevans
Priority: Keywords:

Created on 2009-09-22.01:05:53 by colinhevans, last changed 2009-10-17.13:34:25 by amak.

Messages
msg5186 (view) Author: Colin Evans (colinhevans) Date: 2009-09-22.01:06:36
The servlet probably should call imp.load("site") after the interpreter
is created.
msg5222 (view) Author: Alan Kennedy (amak) Date: 2009-10-06.17:42:07
Hmmm, I'm not sure about this one.

Modjy already has support for .pth files, i.e. any .pth files in the
WEB-INF/lib-python directory are processed and their contents added to
sys.path.

What functionality provided by site is not supported by the existing
functionality?

Remember that modjy is designed to operate with self-contained jython
installations, i.e. inside WAR files, etc.
msg5230 (view) Author: Alan Kennedy (amak) Date: 2009-10-17.13:34:24
Fix checked in at r6859.

Modjy now executes imp.load("site") after the interpreter is created.
This can be disabled by setting the parameter "load_site_packages" to 0.
History
Date User Action Args
2009-10-17 13:34:25amaksetstatus: open -> closed
resolution: fixed
messages: + msg5230
2009-10-06 17:47:49amaksetassignee: amak
2009-10-06 17:42:08amaksetnosy: + amak
messages: + msg5222
2009-09-22 01:06:36colinhevanssetmessages: + msg5186
2009-09-22 01:05:53colinhevanscreate